2020-07-29  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.48.8

	webkit2gtk-4.0: Update to 2.29.4

	gtk4,gtk4-unix-print: Update to 3.98.5+23dcf36e

	girwriter: Use appropriate get_ccode_* functions
	This will pick up possible CCode.*name attributes

	girwriter: Don't include symbols outside of a namespace
	Additionally report a warning for symbols which doesn't fulfill this rule.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/241

2020-07-27  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Properly destroy elements of an inline struct array
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/365

2020-07-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk+-3.0: Update to 3.24.21+ffe2df7b

	gtk4: Update to 3.98.5+f2bdb1fb

	gstreamer: Update from 1.17.2+ git master

2020-07-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Skip 'docsection' elements in <namespace>
	See https://gitlab.gnome.org/GNOME/gobject-introspection/-/merge_requests/226

2020-07-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Check error-type accessibility of creation methods and delegates

	codegen: Check param for null before using it
	Regression of 5490b0b21a4089d803d51c91311430d60d266f7b

	This caused criticals like:

	  vala_get_ccode_array_length: assertion 'node != NULL' failed

	See https://gitlab.gnome.org/GNOME/vala/issues/929

	vala: Allow prototype access to signal with emitter
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1040

2020-07-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "access vfunc pointer" test to increase coverage

2020-07-21  Jean Pierre Dudey  <me@jeandudey.tech>

	girwriter: Write c:symbol-prefix on supported elements
	This specifies the symbol prefix, e.g.: window in gtk_window_new

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1038

	girwriter: Write c:type="void" when name="none"
	This is to match g-ir-scanner behaviour of using the c:type to
	identify void return value.

	girwriter: Add c:identifier-prefixes to <namespace>
	c:prefix is deprecated and c:identifier-prefixes should be used.

2020-07-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Improve check of expression passed to yield
	Report a proper error and fix codegen cricical when a signal is given:

	  vala_ccode_function_add_expression: assertion 'expression != NULL' failed

	See https://gitlab.gnome.org/GNOME/vala/issues/1039

2020-07-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer: Update from 1.17.2+ git master

	gtk4: Update to 3.98.5+4da3edd4

	tests: Fix "methods/extern" test with -Werror=address and gcc 5.4.0

	gtk+-3.0: Resolve conflicts of signals with properties

	gtk4: Resolve conflict of DropTarget.drop signal with property
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1033

	girparser: Warn about conflicting signals and properties

	vala: Fix code indentation

	libvaladoc: Support exporting the `class` modifier on fields

2020-07-18  Corentin Noël  <corentin.noel@collabora.com>

	libvaladoc: Support exporting the `class` modifier on methods

2020-07-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Tranform instance member-access to a static one if possible
	There is a warning issued already and this cleans up the AST to prevent
	unwanted behaviour in the code-generator, which resulted in the
	invocation of "CCodeBaseModule.emit_temp_var()" and criticals like:

	  vala_ccode_function_add_declaration: assertion 'self != NULL' failed
	  vala_ccode_function_add_assignment: assertion 'self != NULL' failed

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/270

	vala: Fully qualify member-access when using-directive was used to resolve
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/57

2020-07-15  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "pre/post-increment" tests to increase coverage

	codegen: Inline allocated and constant arrays are never NULL
	Found by -Werror=tautological-pointer-compare

	vapi: Disable deprecation warnings when checking bindings

	gtk4: Update to 3.98.5+191e0e8d

	gstreamer: Update from 1.17.2+ git master

	webkit2gtk-4.0: Update to 2.29.3

	vala: Handle parameter initializer without value-type
	This caused criticals like:

	  vala_data_type_compatible: assertion 'self != NULL' failed

	See https://gitlab.gnome.org/GNOME/vala/issues/1029

	codegen: Properly compare string if binary-expression contains string-literal
	Found by -Werror=address

	tests: Add "unique namespace" test
	A namespace symbol is unique for a given name in its CodeContext. This
	means attributes are inherited accross all occurances.

	tests: Extend "default gtype" tests to increase coverage

	vala: Return copy of constant type in get_value_type_for_symbol()

	vala: Recursive check of assignment target to recognize constants
	See https://gitlab.gnome.org/GNOME/vala/issues/944

	vala: Property must be writable when invoking ReturnsModifiedPointer method
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1023

	vala: Don't allow "resize" invocation on variable with unowned array type
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/928

	gtk4: Fix binding of CClosureExpression ctor
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1024

	glib-2.0: Add AtomicUint, an alternation of AtomicInt for uint
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/915

	gtk4: Improve Gtk.ParamSpecExpression binding

	codegen: Handle "gtk_param_spec_expression" in get_param_spec()

	codegen: Cache type_symbol in get_param_spec()

	vala: Improve error handling of nested initializer lists
	This avoids reporting consequential errors.

2020-07-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Don't use invalid syntax to declare local variable with array type
	See https://gitlab.gnome.org/GNOME/vala/issues/942

	vala: Avoid subsequent critical caused by invalid array type for constant

2020-06-30  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.48.7

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.1+ git master

	gtk4: Update to 3.98.5+fca2ba96

	gtk4: Mark optional methods of Gdk.Paintable interface as virtual
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1021

	webkit2gtk-4.0: Update to 2.29.2

2020-06-26  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't carry floating reference into unknown target type expression
	A floating reference result of a method, which may throw an error, needs
	to be sinked when passed as argument for ellipsis parameter.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1018

	tests: Add "named argument" test to increase coverage

	gtk4: Update to 3.98.5+1d1f618a

	vala: Improve parameter check of "get" method meant to be used by foreach
	The index-based iteration requires the "get" method to take one integer
	compatible parameter. Otherwise continue checking other options.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1017

2020-06-26  Chris White  <cxwembedded@gmail.com>

	build: Update git-version-gen to latest upstream
	From commit 8a09003664733eb6bef031f56ef9cd575e403023 of
	https://git.savannah.gnu.org/cgit/autoconf.git/tree/build-aux/git-version-gen

2020-06-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Avoid mitigation for missing token if it follows DOT or DOUBLE_COLON
	Rolling back to a DOT/DOUBLE_COLON token will retrigger the attempt to parse
	an incomplete member access.

	Regression of 4368a4fa667148378dcdbd251a4ae4e00c9a8e5a

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/987

2020-06-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	pango: Update from 1.45.2

	gstreamer-audio-1.0: Adjustments for Gst.Audio.Sink class extension

	gstreamer: Update from 1.17.0+ git master

	codegen: Cast initializer-list to struct for non-constant/non-array assignments
	Avoid invalid c-code and use the correct syntax for compound literals.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1013

	gtk4: Prefix value names of PaintableFlags with "STATIC_"
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1011

	girparser: Actually respect given cprefix metadata for enumerations

	gtk4: Update to 3.98.5+2cc39fe2

	vala: Use correct value-type for ArrayCreationExpression used as argument
	Copy fixed_length and inline_allocated attributes from formal-target-type.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1009

	Consistently use get_ccode_lower_case_prefix() for function names
	Create the expected name for "constructor" and "finalize" functions
	which are non-public API.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1008

2020-06-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Reduce calls of CodeContext.get()

	tests: Build typelib if g-ir-compiler is available

2020-06-12  Corentin Noël  <corentin.noel@collabora.com>

	libvaladoc/girimporter: Skip "function-macro" elements
	This is the same patch as in commit f51d9dfdaf97ab5b8377d7e5bb78cfc9b232dc86

2020-06-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	harfbuzz-gobject: Update to 2.6.7

	girwriter: Append symbol-attributes to callback field rather than its type
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1006

	gtk4: Update to 3.98.5+d2235b71

	vala: Correctly handle qualified struct type reference in initializer list
	Construct member-access including namespace of inferred struct type.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/1004

	vala: Fix typo in comments

	codegen: Don't call get_ccode_finish_instance() with non-async methods
	and restrict evaluation of CCode.finish_* attributes to async methods only

	vala: Improve source documentation

	codegen: Improve array-dup-wrapper for empty arrays
	Guard against negative lengths and consistently return NULL if allocated
	size would be 0.

	See https://gitlab.gnome.org/GNOME/vala/issues/999

	tests: Extend "s[p]lice" tests to increase coverage

	gtk+-3.0: Deprecated abstract methods are not required to be implemented

2020-05-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.48.6

	gtk4: Update to 3.98.3+028942c8

	girparser: Add support for boolean "new" argument for methods

	vala: Explicit "new" method may be incompatible with a posssible base method

	codegen: Use loop index instead of get_ccode_pos() for ellipsis parameter
	Otherwise this will cause an index clash resulting in loosing the first
	variable list parameter.

	Regression of b1cb7036bee1f21e98e93ac34b31a95eeed32815

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/995

	vala: Transform cast from integer-type to boxed-type
	Don't generate faulty c-code with results in segmentation faults.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/992

	vala: Transform cast from floating-type to boxed-type
	Don't generate invalid c-code leading to "cannot convert to a pointer type"

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/991

	codegen: Correctly handle cast-expression of real struct to nullable struct
	Don't generate invalid c-code leading to "cannot convert to a pointer type"

	Fix https://gitlab.gnome.org/GNOME/vala/issues/991

	vala: Set value_type of undefined member-access to avoid further criticals

	Use "str_equal" as equal_func for ArrayList<string> instances

	parser: Use [Flags] for ModifierFlags

	vala: Use stable hash for methods in HashMap of implicit_implementations
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/990

	valadoc: Add implicit "Posix" using-directive for POSIX profile

	vala: params-array parameter is not allowed in abstract/virtual method
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/985

	vala: SemanticAnalyzer.get_instance_base_type() is not allowed to return null
	This is private internal API.

	vala: Allow node_reference being null in SemanticAnalyzer.get_instance_base_type()
	This allows a wider usage of DataType.get_actual_type() without an actual
	reference to the AST.

	This is private internal API.

	gitignore: Update and add some IDE files

2020-04-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.48.5

	tests: Extend "fastvapi" test to increase coverage

	Revert "vala: Set default_construction_method in semantic-analyzer check if required"
	This reverts commit d176f179581fac880f5598bb53b3475392af2c4b.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/982

2020-04-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Fix make dist

	Release 0.48.4

	gtk4: Update to 3.98.3

2020-04-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.98.2+2869f80b

	gio-2.0: Add "async_result_pos" attributes to *.call_with_unix_fd_list()
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/340

	girparser: Improve detection of AsyncReadyCallback/AsyncResult parameters

	girparser: Drop special handling of GLib.Data, GLib.PtrArray and GLib.String

	girparser: Move special handling for certain parameters to process_callable()
	- Detect delegate throwing error when GLib.Error out-parameter exists
	- Mark method as async based on finding an AsyncReadyCallback parameter
	- Apply null-literal default-value for trailing GLib.Cancellable? parameters

	codegen: Fix default of CCode.pos for parameters in async methods

	gtk4: Update to 3.98.2+6a4f7889

	vapi: Update GIR-based bindings

2020-04-17  Princeton Ferro  <princetonferro@gmail.com>

	vala: Ensure non-empty argument list for "disconnect" before accessing it
	Avoids an internal assertion on accessing an empty collection.

2020-04-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "version check" tests to increase coverage
	Use several symbols from glib-2.0 >= 2.50 and refer to custom pkg-config
	file defining 2.48.0 as version.

	vala: Quote symbol on report by version attribute check

	vala: Perform version check for types of non-external variable declarations

	vala: Don't perform version check on internal lambda method

2020-04-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Check assigned handler of dynamic signal before proceeding further
	This fixes criticals if an errornous expression was given.

	codegen: Fix base-access to non-abstract/non-virtual properties
	Don't unconditionally try to access vfuncs and actually emit assignments.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/204

	testrunner: Add -Werror=array-bounds

	codegen: Use specified indices to access multidimensional array constants
	This fixes compile issues together with -Waggressive-loop-optimizations
	and warnings with -Warray-bounds.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/905

	codegen: Correctly handle signals returning real non-nullable struct
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/466

	codegen: Use get_value_*_function() in GSignalModule.generate_marshaller()
	This makes sure to pick up the intended function like the generated ones
	for fundamental classes.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/468

2020-04-16  Andrea Del Signore  <sejerpz@gmail.com>

	codegen: Fix binary 'in' operator on array with boxed value-typed needle
	See https://gitlab.gnome.org/GNOME/vala/issues/951

2020-04-16  Princeton Ferro  <princetonferro@gmail.com>

	parser: Handle incomplete expression statements
	Incomplete expression statements are parsed as expression statements
	now, rather than local variable declarations. This primarily affects
	incomplete member access expressions at the end of blocks.

2020-04-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Add SourceLocation.to_string()

	vala: Add SourceReference.contains()

	gstreamer-1.0: Don't skip GST_*_FORMAT strings
	Partially reverts 10b87427a263886b0e36d5f4a297d6e079b74b6e

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/970

2020-04-16  Princeton Ferro  <princetonferro@gmail.com>

	vala: Don't use possibly uninitialized backing field of package_name
	Don't check _package_name directly, which may be null at the time
	installed_version is accessed. This fixes a bug where Vala wouldn't
	generate errors when using symbols that are unavailable for a package
	version.

	Introduced by 7f0e90a5c34f437b7ab8f9197a9d42fc835b1a60

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/971

2020-04-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Fix cleaning of output in CodeContext.pkg_config_modversion()

	glib-2.0: Guard Pid.to_string() with GLIB_2_50 to deal with G_PID_FORMAT
	Otherwise building with glib-2.0 < 2.50 breaks due availability check of
	GLib.Pid.FORMAT.

2020-04-13  vanadiae  <48521955+Vanadiae@users.noreply.github.com>

	glib-2.0: Fix Filename.canonicalize() binding of g_canonicalize_filename
	The required attibutes were not applied correctly when introduced by
	c124f827557420b620f7118cfbabb15d83b4a3e6

2020-04-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	gstreamer-app-1.0: Don't merge Src.push_buffer_*() signal with its method
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/968

	vala: Set default_construction_method in semantic-analyzer check if required
	Doing this in the parser is not reasonable while this is clearly a sematic
	requirement.

2020-04-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Add "Bus/DBusConnection.get_proxy*()" tests to increase coverage

2020-04-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.48.3

	gio-2.0: Update to 2.65.0~a136776e
	Preserve signature of DBusSignalCallback

	gstreamer: Update from 1.17.0+ git master

	gtk4: Update to 3.98.2+11495027

	codegen: Don't pass CCodeCastExpression to NULL-aware free macro
	This resulted in invalid C code:
	    error: lvalue required as left operand of assignment

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/953

2020-04-06  Corentin Noël  <corentin@elementary.io>

	tests: Add "g-interface-info" dbus test to increase coverage

	tests: Extend "DBus signals" test to increase coverage
	This adds code coverage for generating multiple signals, tests for
	arrays and ensures that the private signals are not leaking.

2020-04-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Warn about usage of override to implement abstract interface methods
	Fixes criticals in GAsyncModule.visit_method()

	    vala_symbol_get_parent_symbol: assertion 'self != NULL' failed

	which were introduced with 12db9b7eeb1f53975010d89839d554b5fcf99831

	codegen: Correctly handle transformation of translated string-literal constants
	The required header includes were not emited to the correct declaration space.

	codegen: Include "glib.h" for G_BEGIN_DECLS/G_END_DECLS usage

2020-04-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Parse standalone integer/real literals as expression statement
	Issue an error in the semantic check to forbid such statements.

	Parsing such an errornous expression-statement failed since
	5464767cfa5a8dbbc5f46293693ca627b8fcc46d

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/961

	tests: Extend "array foreach" test to increase coverage

	vala: Consider boolean types are compatible with each other

	tests: Add "expression as argument" tests to increase coverage

	codegen: Correct field declaration for captured inline-allocated array
	Also pass proper size to memset for local temp variables of
	inline-allocated arrays in asynchronous context.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/954

	codegen: Don't free value if property setter takes ownership
	Correctly handle owned property accessor in object initializer.

	In addition to c0e955db075d3d155782c167a0abb81e0dce5f59

	See https://gitlab.gnome.org/GNOME/vala/issues/953

	tests: Add "local clash with implicit this" test to increase coverage

	tests: Add "switch enum" test to increase coverage

	codegen: Avoid critical trying to serialize an unsupported type to Variant
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/952

	vala: Handle all ctors and dtors in CodeWriter

	vala: Handle unlock() statement in CodeWriter

2020-04-04  Simon Werbeck  <simon.werbeck@gmail.com>

	vala: Support struct initializer list in non-constant array
	A struct initializer list contained in an array initializer list is now
	transformed to a struct creation expression. The pre-existing logic
	ensures that constant expressions are not transformed.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/949

2020-04-04  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Append initializer for "_*_size_" of array field in internal struct
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/914

	tests: Add "throw in loops" tests to increase coverage

2020-03-23  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.48.2

	manual: Update from wiki.gnome.org

	vapi: Update GIR-based bindings

	gstreamer: Update from 1.17.0+ git master

	gtk4: Update to 3.98.1

2020-03-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Drop usage of "--main main" and avoid ambigious entry-points

2020-03-21  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: IntegerLiteral is a valid constant size for inline-allocated array
	In addition to b95a766454eb914f4eb5a68e9040e03faffabf52

	See https://gitlab.gnome.org/GNOME/vala/issues/910

	vala: Inline-allocated array can't be instantiated with creation expression
	This generalizes 0554ed7ad9cefe0f56e53dc00be88488dfa788bf

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/926

2020-03-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Include "glib.h" for g_return_*() usage
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/940

	glib-2.0: Add binding for g_win32_ftruncate()

	gio-2.0: Add binding for g_io_error_from_win32_error()

2020-03-19  ZUHONG TAO  <taozuhong@gmail.com>

	glib-2.0: Add missing IOChannel's win32 API

2020-03-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	parser: Improve error message for invalid ArrayCreationExpression
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/939

2020-03-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Initialize temp-var for property array length before calling getter
	Regression of d33e9fbca63674b7dfa339c25a9d5e27cce187f3

	codegen: Use memset to initialize inline-allocated array with non-constant size
	In addition to a0bb129e5a2e8580eb272d9a68ba054e7b170dba

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/910

2020-03-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Improve handling of "array_length_type" attribute
	This affects methods, parameters, field and properties.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/938

	codegen: Inherit "array_length_type" from (base-/base-interface) parameter/property/method
	See https://gitlab.gnome.org/GNOME/vala/issues/938

	codegen: Use correctly typed array-length variable for delegate invocation

	codegen: Use correctly typed array-length variable for property-getter

	vala: Inherit lambda parameter attributes from delegate
	... by setting base_parameter accordingly

	vala: Improve copy of required attributes from delegate to lamdba method

2020-03-17  Corentin Noël  <corentin@elementary.io>

	posix: Add pathconf and fpathconf bindings
	Also bind the named constants to use them.

2020-03-14  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Accept enum-values as length for inline allocated arrays
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/935

2020-03-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	valadoc: Create and register current Vala.CodeContext properly

	vala: Use error() instead of Report.error() inside of CodeContext.get()
	This is a bad thing while Report.error() actually uses CodeContext.get()

	Regression of e436f2833dc332e3fd728fe6f6b2cd7f224dcf33

	vapi: Add cairo-gobject binding
	and update reverse depends if appropriate

2020-03-13  Corentin Noël  <corentin@elementary.io>

	cairo: Add missing type_id attributes guarded by GOBJECT define
	When Cairo is built with GObject support wrapper, it provides
	cairo-gobject.h that defines GType and GBoxed structures and enums.

2020-03-13  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Correctly access captured parameter in precondition of method
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/144

	codegen: Emit postconditions before free'ing local variables
	It was possible to cause segmentation-faults or use-after-free errors.

2020-03-12  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Reset outdated array _size_ variable after use as ref parameter
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/929

	vapigen: Define "GOBJECT" corresponding to set profile of CodeContext
	This is required to evaluate pre-processor directives correctly in
	sourced bindings.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/933

2020-03-11  ZUHONG TAO  <taozuhong@gmail.com>

	glib-2.0: Add binding for g_poll()
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/924

2020-03-11  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.48.1

	codegen: Avoid symbol clashes with "va_*" from "stdarg.h"
	Make a better choice for naming the local variables in
	CCodeArrayModule.append_params_array()

	In addition to 98ab3da89640b8b8a6c67044b4df1194672774bb

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/923

2020-03-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Move ObjectTypeSymbol casting to GTypeModule

	codegen: Factor out GValueModule

	codegen: Move GLibValue into a separate source-file

	codegen: Cleanup GLibValue helper functions

	tests: Extend "GLib.Value (un-)boxing" test to increase coverage

2020-03-09  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.98+2da445f9

	vapi: Update GIR-based bindings

2020-03-08  Rico Tzschichholz  <ricotz@ubuntu.com>

	poppler-glib: Update to 0.85
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/922

	vala: Real struct-type without type_id can't be used for GObject property
	It caused an invalid usage of G_TYPE_POINTER with g_param_spec_boxed().

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/921

	glib-2.0: Add missing "type_id" or "has_type_id" attributes to structs
	See https://gitlab.gnome.org/GNOME/vala/issues/921

	codegen: Actually respect "delegate_target" attribute of method/parameter

	codegen: Inherit "delegate_target" from (base-/base-interface) parameter/property/method

	codegen: Inherit "array" attributes from (base/base-interface) property

	codegen: Don't re-evaluate "itype" when "deleg" variable is already available

	vala: Fix search for Parameter.base_parameter

	glib-2.0: Memory profiling ("g_mem_*") is deprecated since 2.46

2020-03-07  Rico Tzschichholz  <ricotz@ubuntu.com>

	test: Fix "GenericAccessors" test

	tests: Extend "GenericAccessors" test to increase coverage

	codegen: Add destroy of parameter in vfunc of delegate property setter
	The vfunc of an owned setter requires a destroy parameter. Support for
	this was introduced with 1e90d53dba0eff6ec2babd8292676099308dd4f6

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/919

2020-03-06  Rico Tzschichholz  <ricotz@ubuntu.com>

	tests: Rerun a few tests with POSIX profile to increase coverage

	tests: Split array tests to provide a GLib-independent test

	codegen: Replace hard-coded "gsize" with resolved "size_t"

	linux: Don't depend on GLib.Time when using POSIX profile

	codewriter: Output inner interface declarations
	Missing in d79401ad13a4bc5121f5ae187547c53b6a0a7701

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/918

2020-03-03  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.48.0

	manual: Update from wiki.gnome.org

2020-03-03  Princeton Ferro  <princetonferro@gmail.com>

	vala: Prevent possible stack-overflow in Class.is_subtype_of()

	girparser: Delay adding of "GLib.Object" prerequisite to interfaces

2020-03-02  Rico Tzschichholz  <ricotz@ubuntu.com>

	girparser: Decrease return_array_length_idx for transformed function

	vala: Don't create temp-variable for array concatenation expression
	Found by scan-build

	codegen: Don't emit error-variable of CatchClause if not used
	Found by scan-build

	codegen: g_clear_error() sets pointer target to NULL already

	codegen: Add more "low-level" includes of "glib.h"

2020-03-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Report an internal error for unavailable context and bail
	If calling CodeContext.get/pop() with an empty stack present then there is
	no way to recover so bail.

2020-03-01  Princeton Ferro  <princetonferro@gmail.com>

	vala: Fix circular reference in EnumValueType

	vala: Fix circular reference in Property

	Add missing CodeContext.pop() calls
	Release previously pushed CodeContext instances from static list.

2020-03-01  Rico Tzschichholz  <ricotz@ubuntu.com>

	vapi: Update GIR-based bindings

2020-02-24  Rico Tzschichholz  <ricotz@ubuntu.com>

	Release 0.47.92

2020-02-22  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Add local-variables to current scope regardless its error state
	This avoids subsequent errors which are not useful to report when the user
	actually defined it.

2020-02-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Skip UsingDirective if error is set

2020-02-20  Princeton Ferro  <princetonferro@gmail.com>

	vala: Handle unavailable type-symbol in Constant.check_const_type()
	This caused criticals like:

	  vala_typesymbol_is_subtype_of: assertion 'self != NULL' failed

2020-02-20  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't analyze error-type of errornous catch-clauses

	vala: Properly set CodeNode.error when reporting an error (2)

	vala: Don't check for unhandled error if error is set on body
	This is how Method and CreationMethod behave already.

	vala: Bail ThrowStatement.get_error_types() if error is set
	This caused criticals when error_expression is not correct.

	vala: Rely on more implementations of Block in SwitchSection
	It was possible that statements in switch-sections were not processed
	by the semantic-analyzer. Therefore they were not checked for errors
	and marked as such.

	vala: Rework ReturnStatement.check to handle "current_return_type == null"
	Thanks to Daniel Espinosa Ortiz.

	tests: Add invalid "return" tests to increase coverage

	vapi: Add some fundamental deps files
	When using --nostdpkg those are important to have.

	See https://gitlab.gnome.org/GNOME/vala/issues/911

2020-02-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Prevent possible stack-overflow in Class.is_compact/is_immutable
	Guard recursive call on base_class in is_compact and is_immutable by
	checking for cyclic class declaration.

2020-02-19  Princeton Ferro  <princetonferro@gmail.com>

	vala: Method representing a LambdaExpression might be null on an error
	This caused criticals like:

	  vala_method_get_closure: assertion 'self != NULL' failed

2020-02-19  Rico Tzschichholz  <ricotz@ubuntu.com>

	Add support for sealed classes in bindings
	The "sealed" keyword was available and parsed for a long time. So simply
	pick it up information and expose it in the AST.

	Issue an error when it is used in vala source.

	See https://gitlab.gnome.org/GNOME/vala/issues/278

	vala: Never add "null" in ForeachStatement.get_defined_variables()
	See https://gitlab.gnome.org/GNOME/vala/issues/911

2020-02-18  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Don't process arguments of MethodCall if error is set
	This caused criticals like:

	  vala_method_get_closure: assertion 'self != NULL' failed

	vala: Set error and return early on invalid index in ElementAccess
	This caused criticals like:

	  vala_code_node_check: assertion 'self != NULL' failed

	vala: Don't process initializer of parameter if error is set
	This caused criticals like:

	  vala_data_type_compatible: assertion 'self != NULL' failed
	  vala_code_node_to_string: assertion 'self != NULL' failed

	tests: Add "GObject and GType class lifetime" tests to increase coverage

	vala: Handle PointerType and VoidType in Constant.check_const_type()
	This caused criticals like:

	  vala_typesymbol_is_subtype_of: assertion 'self != NULL' failed

	testrunner: Pass G_DEBUG=fatal-warnings to invalid test

2020-02-17  Rico Tzschichholz  <ricotz@ubuntu.com>

	codegen: Don't initialize stack-allocated array with local-constant length
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/910

	Release 0.47.91

	manual: Update from wiki.gnome.org

	pango: Update and add harfbuzz-gobject as dependency
	See https://gitlab.gnome.org/GNOME/pango/issues/458

	vapi: Add harfbuzz-gobject binding
	Mark it as experimental while is it subject to change.

	Fixes https://gitlab.gnome.org/GNOME/vala/issues/909

2020-02-16  Rico Tzschichholz  <ricotz@ubuntu.com>

	gtk4: Update to 3.98.0+410dbdf6

	girparser: Report a warning for conflicting class and instance methods

	gstreamer: Update from 1.17.0+ git master

	webkit2gtk-4.0: Update to 2.27.90

	gtk+-*.0,gtk4: Fix iter parameter of TextIter.order()
	Fixes https://gitlab.gnome.org/GNOME/vala/issues/908

2020-02-10  Rico Tzschichholz  <ricotz@ubuntu.com>

	vala: Properly set CodeNode.error when reporting an error

2020-02-05  Rico Tzschichholz  <ricotz@ubuntu.com>

	testrunner: Invalid tests and therefore expected failures must return 1

	vala: Don't ignore errors in Parameter and acknowledge them further
	This avoids useless subsequent errors and possible criticals while
	operating on broken AST.

	vala: Fix base-access check for compact classes (2)
	See 84de99560ee96afa8cb80db3b342d584a72188cd
